Name:           libnatpmp
Version:        20140401
Release:        2%{?dist}
Summary:        Library of The NAT Port Mapping Protocol (NAT-PMP)
License:        LGPLv2+
URL:            http://miniupnp.free.fr/libnatpmp.html
Source0:        http://miniupnp.free.fr/files/%{name}-%{version}.tar.gz
Patch0:         libnatpmp-precluding-cflags-overriding.patch

%description
libnatpmp is an attempt to make a portable and fully compliant implementation 
of the protocol for the client side. It is based on non blocking sockets and 
all calls of the API are asynchronous. It is therefore very easy to integrate 
the NAT-PMP code to any event driven code.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" %{?_smp_mflags}

%install
make install INSTALL="install -p" PREFIX=%{buildroot} INSTALLDIRLIB="%{buildroot}%{_libdir}"
find %{buildroot} -name '*.a' -delete -print
find %{buildroot} -name '*.so' -exec chmod 755 {} ";" -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc Changelog.txt LICENSE README
%{_bindir}/natpmpc
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_includedir}/natpmp.h

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140401-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Christopher Meng <rpm@cicku.me> - 20140401-1
- Update to 20140401

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20131126-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 14 2014 Christopher Meng <rpm@cicku.me> - 20131126-2
- Correct the permissions to get useful debuginfo packages.

* Thu Jan 02 2014 Christopher Meng <rpm@cicku.me> - 20131126-1
- Update to 20131126
- Append proper CFLAGS to make.

* Wed Sep 11 2013 Christopher Meng <rpm@cicku.me> - 20130911-1
- Update to 20130911

* Tue May 21 2013 Christopher Meng <rpm@cicku.me> - 20120821-1
- Initial Package.
